StdJdkSerializers (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser.std

## Class StdJdkSerializers

- java.lang.Object
- - org.codehaus.jackson.map.ser.std.StdJdkSerializers

- All Implemented Interfaces:
    Provider<Map.Entry<Class<?>,Object>>
  Direct Known Subclasses:
    JdkSerializers

      public class StdJdkSerializers
      extends Object
      implements Provider<Map.Entry<Class<?>,Object>>

  Class that providers access to serializers user for non-structured JDK types that are serializer as scalars; some using basic `ToStringSerializer`, others explicit serializers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdJdkSerializers.AtomicBooleanSerializer`
    `static class` | `StdJdkSerializers.AtomicIntegerSerializer`
    `static class` | `StdJdkSerializers.AtomicLongSerializer`
    `static class` | `StdJdkSerializers.AtomicReferenceSerializer`
    `static class` | `StdJdkSerializers.ClassSerializer` Also: default bean access will not do much good with Class.class.
    `static class` | `StdJdkSerializers.FileSerializer` For now, File objects get serialized by just outputting absolute (but not canonical) name as String value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdJdkSerializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Map.Entry<Class<?>,Object>>` | `provide()` Method called by `BasicSerializerFactory` to access all serializers this class provides.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdJdkSerializers

          public StdJdkSerializers()

  - ### Method Detail

    - #### provide

          public Collection<Map.Entry<Class<?>,Object>> provide()

      Method called by `BasicSerializerFactory` to access all serializers this class provides.
      Specified by:
        `provide` in interface `Provider<Map.Entry<Class<?>,Object>>`